Bug 97823 - [HELP] HLOOKUP and VLOOKUP parameter SortOrder is optional
Summary: [HELP] HLOOKUP and VLOOKUP parameter SortOrder is optional
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2016-02-12 21:57 UTC by Dennis Roczek
Modified: 2016-09-19 13:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Roczek 2016-02-12 21:57:40 UTC
see https://help.libreoffice.org/Calc/Spreadsheet_Functions#VLOOKUP and https://help.libreoffice.org/Calc/Spreadsheet_Functions#HLOOKUP have both a parameter SortOrder is optional. Although not listed in the example of VLOOKUP it should be noted. It is easily overseen.
Comment 1 Olivier Hallot 2016-02-19 12:48:45 UTC
The parameter SortOrder of VLOOKUP is clearly stated as optional. But it is not the case for HLOOKUP.

The help page for HLOOKUP indicates that the param's definition are the same as VLOOKUP with columns and rows exchanged.

For HLOOKUP I suggest:

- Change name of param Sorted to SortOrder, to match VLOOKUP SortOrder.

- Change mention of VLOOKUP to a link toward VLOOKUP page.
Comment 2 Gabor Kelemen (allotropia) 2016-09-19 08:17:37 UTC
I just pushed a proposed fix to Gerrit.
I don't agree on the Sorted / SortOrder parameter naming: this is a boolean telling if the data is sorted or not, not the order itself. See here: https://gerrit.libreoffice.org/29013

Also the HLOOKUP function has a SearchCriteria parameter, which I think is wrong grammatically as it looks for one value. 
VLOOKUP has SearchCriterion so it's better to sync with that. See here: https://gerrit.libreoffice.org/29014

The link towards VLOOKUP was fixed in bug #97821.
Comment 3 Commit Notification 2016-09-19 10:30:53 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=939edb112114cf3e740012a429d1f69a0d1d9bdb

tdf#97823 Change VLOOKUP parameter SortOrder to Sorted
Comment 4 Commit Notification 2016-09-19 10:34:38 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=f3339c932c24d48eb854399d92cd7ca64fe3ea1c

tdf#97823 Change SearchCriteria parameter of HLOOKUP